Table of Contents

## Name

im_dE_fromdisp, im_dE_fromXYZ, im_dECMC_fromdisp - derived colour difference functions

## Synopsis

#include <vips/vips.h>
#include <vips/colour.h>

im_dE_fromdisp( in1, in2, out, display )
IMAGE *in1, *in2, *out;
struct im_col_display *display;

int im_dE_fromXYZ(in, out)
IMAGE *in, *out;

im_dECMC_fromdisp( in1, in2, out, display )
IMAGE *in1, *in2, *out;
struct im_col_display *display;

## Description

These functions are built on the basic VIPS colour difference measurements as a convenience for the programmer. See im_dE_fromLab(3) for an explanation of the colour difference metrics and the basic comparision functions.

## Return Value

The functions return 0 on success and -1 on error.

## See Also

im_col_XYZ2rgb(3) , im_dE_fromLab(3) , im_LabQ2Lab(3) , im_Lab2disp(3) .

## Copyright

National Gallery and Birkbeck College, 1990 - 1993

## Author

K. Martinez - 2/12/1992
J. Cupitt - 21/7/93

Table of Contents

- Name
- Synopsis
- Description
- Return Value
- See Also
- Copyright
- Author